﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sandbox.Usermap;

namespace Sandbox.Controls
{
    public partial class Info : Form
    {
        private static Info info;

        public Info(int index)
        {
            InitializeComponent();
            textBox1.Text = index.ToString();
            textBox2.Text = "0x" + (632 + (index * 84)).ToString("X");
            int tagindex = GlobalVariables.Usermap.placementBlocks[index].TagIndex;
            textBox3.Text = tagindex.ToString();
            textBox4.Text = "0x" + (54420 + (tagindex * 12)).ToString("X");
            pictureBox1.Image = Misc.GetImagesFromID(GlobalVariables.Usermap.tagIndex[tagindex].ident);
        }

        public static void Show(int index)
        {
            info = new Info(index);
            info.ShowDialog();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
        }
    }
}
