﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Sandbox.Forms
{
    public partial class StartupScreen : Form
    {
        private int splashDuration;

        public StartupScreen()
        {
            InitializeComponent();
            lblVersion.Text = "V " + Form1.CurrentVersion.ToString("N1");
        }

        public int SplashDuration
        {
            get { return splashDuration; }
            set { splashDuration = value; }
        }

        public void StartTimer()
        {
            Timer t = new Timer();
            t.Interval = splashDuration;
            t.Tick += new EventHandler(t_Tick);
            t.Start();
        }

        void t_Tick(object sender, EventArgs e)
        {
            this.Close();            
        }
    }
}
