﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sandbox.Plugin
{
    public static class PluginHandler
    {
        /// <summary>
        /// Uses the map id Retrieve its corresponding plugins path
        /// </summary>
        /// <param name="mapId">Id of map</param>
        /// <returns>Plugin filepath</returns>
        public static string GetPlugin(int mapId)
        {
            switch (mapId)
            {
                case 30: return "zanzibar.xml";
                case 300: return "construct.xml";
                case 310: return "deadlock.xml";
                case 320: return "gaurdian.xml";
                case 330: return "isolation.xml";
                case 340: return "riverworld.xml";
                case 350: return "salvation.xml";
                case 360: return "snowbound.xml";
                case 380: return "chill.xml";
                case 390: return "cyberdyne.xml";
                case 400: return "shrine.xml";
                case 410: return "bunkerworld.xml";
                case 480: return "warehouse.xml";
                case 580: return "armory.xml";
            }

            return null;
        }
    }
}
